<!DOCTYPE html>
<html lang="en">
    <head>
        <meta charset="UTF-8">
        <meta name="viewport" content="width=device-width, initial-scale=1.0">
        <meta http-equiv="X-UA-Compatible" content="ie=edge">
        <title>Wings Mobile - Eventos</title>
        <link th:href="@{/css/style-events.css}" rel="stylesheet" type="text/css"/>
    </head>
    <body>
        <div class="main">
            <section class="signup">
                <div class="container">
                    <div class="signup-content">

                        <a href="#message-anchor" id="message-anchor"></a>

                        <form method="POST" id="signup-formreg" class="signup-form">

                            <img th:src="@{/img/3c98f8537be76cbe3258d31cb2f497268976cd471f5a830345ebf1e84eae255a.png}" style="float: right;"/>
                            <h2 class="form-title" th:text="#{event03-08EC}">Evento 03 de Agosto Ecuador</h2>

                            <h3 class="form-title" th:text="#{enterYourDetailsToRegister}">Ingrese los datos para resigstrarse</h3>
                            <div class="alert" id="message" style="display: none;"></div>
                            <div class="form-group">
                                <input type="text" class="form-input" name="AAA" required="required" placeholder="Nombre/s*" id="AAA" th:attr="placeholder=#{names} + '*'"/>
                            </div>
                            <div class="form-group">
                                <input type="text" class="form-input" name="BBB" required="required" placeholder="Apellido/s*" th:attr="placeholder=#{surnames} + '*'"/>
                            </div>
                            <div class="form-group">
                                <input type="text" class="form-input" name="CCC" required="required" placeholder="Email*" th:attr="placeholder=#{email} + '*'"/>
                            </div>
                            <div class="form-group">
                                <input type="text" class="form-input" name="DDD" required="required" placeholder="Telefono" th:attr="placeholder=#{phoneNumber}"/>
                            </div>
                            <div class="form-group">
                                <input type="submit" name="submit" id="submit" class="form-submit" value="Registrar" th:attr="placeholder=#{toRegister}"/>
                            </div>
                            <small class="text-muted" th:text="#{requiredFields}">*Campos requeridos</small>
                        </form>
                    </div>
                </div>
            </section>
        </div>
        <script th:src="@{/js/jquery.min.js}"></script>

        <script>
            $(document).ready(function () {


                $('#submit').click(function (e) {
                    e.preventDefault();
                    var form = document.querySelector('form');
                    var report = form.reportValidity();

                    $('#submit').attr("disabled", "disabled");

                    if (report) {
                        notifySuccess('Registrando, espere por favor...');
                        $.post('/eventos/registerec', $('#signup-formreg').serialize(), function (response) {

                            $('#submit').removeAttr("disabled");
                            $('#signup-formreg').trigger('reset');
                            notifySuccess(response);
                            $('#AAA').focus();

                        }).fail(function (xhr, status, error) {
                            $('#submit').removeAttr("disabled");
                            notifyError(xhr.responseText);
                        });
                    }
                });
            });

            function notifySuccess(response) {
                $('#message').removeClass('alert-danger');
                $('#message').addClass('alert-success');
                $('#message').html(response);
                $('#message').show();
            }

            function notifyError(response) {
                $('#message').removeClass('alert-success');
                $('#message').addClass('alert-danger');
                $('#message').html(response);
                $('#message').show();
            }
        </script>
    </body>
    <!-- This templates was made by Colorlib (https://colorlib.com) -->
</html>
